﻿@model IEnumerable<eCommerce.Services.Model.DeliveryOrder>
@using eCommerce.Services.Model

<h4>Entregas Realizadas</h4>

<table class="table table-hover dataTable table-striped width-full">
    <thead>
        <tr>
            <th class="col-sm-1 text-left">#Id</th>
            <th class="col-sm-2 text-left">Fecha de Entrega</th>
            <th class="col-sm-2 text-center">#Nro.Remito</th>
            <th class="col-sm-2 text-center">Monto</th>
            <th class="text-left">Comentarios</th>
            <th class="col-sm-2 text-center">Acciones</th>
        </tr>
    </thead>
    <tbody>
        @foreach (DeliveryOrder item in Model)
        {
            <tr>
                <td class="text-left">@item.DeliveryOrderId</td>
                <td class="text-left">@item.Date.ToShortDateString()</td>
                <td class="text-center">@item.ReferNumber</td>
                <td class="text-center">@string.Format("{0:C2}", item.Amount)</td>
                <td class="text-left">@item.Comment</td>
                <td class="actions text-center">

                    <a href="javascript:void(0);" class="btn btn-sm btn-icon btn-pure btn-default on-default"
                       data-toggle="tooltip" data-original-title="Detalle de Entrega"
                       onclick="ShowModalDeliveryDetail(@item.DeliveryOrderId)"><i class="icon fa-search-plus" aria-hidden="true"></i>
                    </a>
                    @*@if (!string.IsNullOrEmpty(item.AndreaniNumero))
                    {
                        <a href="#" class="btn btn-sm btn-icon btn-pure btn-default on-default gla-tracking" data-code="@item.AndreaniNumero"
                           data-toggle="tooltip" data-original-title="Seguimiento Andreani"><img src="/content/assets/images/andreani.png" height="16px" /></a>

                        <a href="/Andreani/Etiqueta/@item.DeliveryOrderId" class="btn btn-sm btn-icon btn-pure btn-default on-default" target="_blank"
                           data-toggle="tooltip" data-original-title="Imprimir etiqueta">
                            <i class="icon wb-tag" aria-hidden="true"></i>
                        </a>

                        <a href="javascript:void(0);" class="btn btn-sm btn-icon btn-pure btn-default on-default js-cancel-andreani" data-andreani="@item.AndreaniNumero"
                           data-toggle="tooltip" data-original-title="Anular envío">
                            <i class="fa fa-ban" aria-hidden="true"></i>
                        </a>
                    }
                    else
                    {
                        <a href="/Andreani/CreateShipping/@item.DeliveryOrderId" class="btn btn-sm btn-icon btn-pure btn-default on-default"
                           data-toggle="tooltip" data-original-title="Crear envío de Andreani"><img src="/content/assets/images/andreani.png" height="16px" /></a>
                    }*@

                    @if (item.Order.IsAvailableForOcaShipment)
                    {
                        <a href="/Oca/CreateOcaShipping/@item.DeliveryOrderId" class="btn btn-sm btn-icon btn-pure btn-default on-default edit-row"
                           data-toggle="tooltip" data-original-title="Crear envío de oca"><img src="/content/assets/images/oca.png" width="14px" height="14px" /></a>
                    }

                    <a href="/DeliveryOrders/ExportDeliveryOrderToExcel/@item.DeliveryOrderId" class="btn btn-sm btn-icon btn-pure btn-default on-default"
                       data-toggle="tooltip" data-original-title="Exportar a Excel">
                        <i class="icon fa-file-excel-o" aria-hidden="true"></i>
                    </a>
                    <a href="/DeliveryOrders/DeliveryOrderPrint/@item.DeliveryOrderId" class="btn btn-sm btn-icon btn-pure btn-default on-default edit-row"
                       data-toggle="tooltip" data-original-title="Imprimir" target="_blank"><i class="icon fa-print" aria-hidden="true"></i></a>
                    <a href="javascript:void(0);" class="btn btn-sm btn-icon btn-pure btn-default on-default"
                       data-toggle="tooltip" data-original-title="Guia"
                       onclick="ShowModalDeliveryOrderGuide(@item.DeliveryOrderId)">
                        <i class="icon fa-picture-o" aria-hidden="true"></i>
                    </a>                    
                    
                    <a href="/DeliveryOrders/DeliveryOrderUpdate?OrderId=@item.OrderId&DeliveryOrderId=@item.DeliveryOrderId" class="btn btn-sm btn-icon btn-pure btn-default on-default"
                       data-toggle="tooltip" data-original-title="Editar">
                        <i class="icon wb-edit" aria-hidden="true"></i>
                    </a>
                    <a href="javascript:void(0);" class="btn btn-sm btn-icon btn-pure btn-default on-default"
                       data-toggle="tooltip" data-original-title="Eliminar"
                       onclick="deleteDelivery(@item.DeliveryOrderId, '@item.ReferNumber')"><i class="icon wb-trash" aria-hidden="true"></i>
                    </a>

                </td>
            </tr>
        }
    </tbody>
</table>

